Bug 229408 - editors/openoffice-4 - compile fails on FreeBSD 11.2 in pyuno
Summary: editors/openoffice-4 - compile fails on FreeBSD 11.2 in pyuno
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-office mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-29 14:38 UTC by Curtis Villamizar
Modified: 2018-08-17 21:45 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
editors/openoffice-4/Makefile - fixes build (519 bytes, patch)
2018-06-30 04:48 UTC, Curtis Villamizar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curtis Villamizar 2018-06-29 14:38:20 UTC
# uname -a
FreeBSD r11-amd64.v6ds.occnc.com 11.2-STABLE FreeBSD 11.2-STABLE #0 r335648: Wed Jun 27 03:26:23 EDT 2018     root@amd64-boot1.v6only.occnc.com:/usr/releng/r11-20180625/obj.amd64.occnc11.amd64/usr/releng/r11-20180625/src/sys/occnc11.amd64  amd64

# cat /etc/make.conf
#  options to set for all ports - see bsd.options.mk
OPTIONS_SET=    DOCS EXAMPLES MANPAGES NLS ICONV NETTLE ALSA LOCALE_EN
OPTIONS_SET+=   IPV6 THREADS BDB X11 OPTIMIZED_CFLAGS SSL PCRE
OPTIONS_SET+=   FONTCONFIG PNG JPEG ZLIB SQLITE ZTS
#  audio options to avoid
OPTIONS_UNSET=  PULSEAUDIO SNDIO JACK NAS OSS SPEEX
#  image options to avoid
OPTIONS_UNSET+= JPEG2000 HDRI OPENEXR
#  language support to unset
OPTIONS_UNSET+= CHINESE KOREAN RUSSIAN JAPANESE LOCALE_RU LOCALE_DE
#  other options to avoid
OPTIONS_UNSET+= DTRACE DEBUG LDAP TEST TESTS A4 OPENGL
OPTIONS_UNSET+= STATIC SSL2 SSL3 PGSQL OPENMP
#  not sure - LMDB CUPS PANGO GSSAPI_ IDN GMP
#  default versions of languages and libraries
DEFAULT_VERSIONS+=      ssl=openssl
#DEFAULT_VERSIONS+=     ssl=openssl-devel
DEFAULT_VERSIONS+=      ghostscript=9
DEFAULT_VERSIONS+=      emacs=nox
DEFAULT_VERSIONS+=      apache=2.4
DEFAULT_VERSIONS+=      bdb=5
DEFAULT_VERSIONS+=      mysql=8.0
DEFAULT_VERSIONS+=      php=7.2
DEFAULT_VERSIONS+=      python=3.6 python2=2.7 python3=3.6
#DEFAULT_VERSIONS+=     perl5=5.x - set based on pkg-* file
DEFAULT_VERSIONS+=      perl5=5.28

# cd /usr/ports/editors/openoffice-4

# make showconfig
===> The following configuration options are available for apache-openoffice-4.1.5_6:
     CRASHDUMP=off: Enable crashdumps, sets WITH_DEBUG
     CUPS=off: CUPS printing system support
     DBGUTIL=off: Enable assertions, object counting. (non-production)
     DEBUG=off: Compile with -O0, sets WITH_DEBUG
     GNOME=off: GConf + screensaver presentation control via DBUS
     GNOMEVFS=off: GNOME Virtual File System
     MMEDIA=on: Multimedia backend for impress
     SDK=off: Build and install software development kit
     WIKI_PUBLISHER=on: Build and install Wiki Publisher extension
===> Use 'make config' to modify these settings

# make install

[ ... lot of output removed ... ]

Module 'sc' delivered successfully. 0 files copied, 175 files unchanged

1 module(s): 
        pyuno
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/releng/r11-20180625/ports/editors/openoffice-4/work/aoo-4.1.5/main/pyuno/source/module

When you have fixed the errors in that module you can resume the build by running:

        build --from pyuno

*** Error code 1

Stop.
make[1]: stopped in /usr/releng/r11-20180625/ports/editors/openoffice-4
*** Error code 1

Stop.
make: stopped in /usr/releng/r11-20180625/ports/editors/openoffice-4
Comment 1 Curtis Villamizar 2018-06-30 04:48:11 UTC
Created attachment 194763 [details]
editors/openoffice-4/Makefile - fixes build

Changing "USES= ... python ..." to "USES= ... python:2.7 ..." fixes the problem.  To duplicate the problem you need a line like "DEFAULT_VERSIONS+= python=3.6 python2=2.7 python3=3.6" in make.conf.  This is a simple fix that indicates in the port Makefile that python27 is needed.
Comment 2 commit-hook freebsd_committer 2018-08-17 21:45:32 UTC
A commit references this bug:

Author: truckman
Date: Fri Aug 17 21:44:29 UTC 2018
New revision: 477451
URL: https://svnweb.freebsd.org/changeset/ports/477451

Log:
  Explicitly depend on python2 since the OpenOffice pyuno module fails
  to build with python3.  No PORTREVISION bump since this does not change
  the package.

  PR:		229408
  Submitted by:	Curtis Villamizar <curtis@ipv6.occnc.com>

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile